package jrummikub.model;

import java.awt.Color;

/** Class managing player data. No methods in release 1 */
public class Player implements IPlayer {

	private IHand hand;
	private String name;
	private Color color;

	/**
	 * Create a new player with a given name and color
	 * 
	 * @param name
	 *            player name
	 * @param color
	 *            player's color
	 */
	public Player(String name, Color color) {
		hand = new Hand();
		this.name = name;
		this.color = color;
	}

	@Override
	public IHand getHand() {
		return hand;
	}

	@Override
	public Color getColor() {
		return color;
	}

	@Override
	public String getName() {
		return name;
	}
}
